metadata:
  id: dailytxt
  name:
    en: DailyTxT
  version: 0.1.0
  displayVersion: 1.0.15
  category:
    af: Utilities
    ar: أدوات
    ca: Utilitats
    cs: Utilities
    da: Utilities
    de: Dienstprogramme
    el: Βοηθήματα
    en: Utilities
    es: Utilidades
    fi: Utilities
    fr: Utilitaires
    he: Utilities
    hu: Segédprogramok
    it: Utilità
    ja: ユーティリティ
    ko: 유틸리티
    nl: Hulpmiddelen
    no: Utilities
    pl: Narzędzia
    pt: Utilitários
    ro: Utilități
    ru: Инструменты
    sr: Utilities
    sv: Verktyg
    tr: Araçlar
    uk: Утиліти
    vi: Tiện ích
    zh: 實用工具
  tagline:
    en: Encrypted Diary Web-App
  developers: {}
  description:
    en: DailyTxT is an encrypted Diary Web-App to write down your stories of the day and to find them again easily.
  basePermissions:
  - builtin/network/cluster-egress
  - builtin/network/local-net
  hasPermissions:
  - builtin/network/cluster-egress
  - builtin/network/local-net
  exposesPermissions: []
  repos:
    Source code: https://github.com/PhiTux/DailyTxT
  support: ''
  icon: https://raw.githubusercontent.com/runtipi/runtipi-appstore/master/apps/dailytxt/metadata/logo.jpg
  defaultPassword: null
  license: Unknown
  settings:
    DAILYTXT_ALLOW_REGISTRATION:
      type: Bool
      name:
        en: Allow User Registration
      description:
        en: ''
      default: false
  volumes:
    data:
      minimum_size: 1073741824
      recommended_size: 5368709120
      name:
        en: App data
      description:
        en: All data generated by the app
  ports: []
  runtime: !Plugin tipi
  allowedScopes:
  - User
  defaultScope: User
  storePlugins: []
  uiModule: null
  supportsIngress: true
  canBeProtected: true
  saasCompatibility: Unknown
  rawIngress: false
  postInstallRedirect: null
  components: []
  isCitadel: false
  preloadType: !MainVolumeFromSubdir data
containers:
  dailytxt: !Deployment
    container:
      cap_add: []
      cap_drop: []
      command: null
      entrypoint: null
      environment:
        ALLOW_REGISTRATION: !StringLike 'false'
        DATA_INDENT: !StringLike '2'
        ENABLE_UPDATE_CHECK: !StringLike 'True'
        JWT_EXP_DAYS: !StringLike '60'
        PORT: !StringLike '8765'
        SECRET_KEY: !StringLike 47ada9ba90d680c38b541894e0d60f9b
      hostname: null
      image: phitux/dailytxt:1.0.15
      privileged: false
      restart: null
      stop_grace_period: null
      uid: null
      gid: null
      volumes:
      - !Longhorn
        name: data
        mount_path: /app/data/
        sub_path: data/dailytxt
        is_readonly: false
        from_app: null
        from_ns: null
      working_dir: null
      shm_size: null
      ulimits: null
      host_network: false
      exposes:
        udp: []
        tcp: []
      fs_group: null
      service_account: null
      network_policy: null
      has_permissions: []
      additional_labels:
        uses-compat-layer: tipi
    middlewares: {}
services:
  dailytxt:
    target_container: dailytxt
    type: ClusterIp
    ports:
      udp: {}
      tcp: {}
    cluster_ip: None
    network_policy: null
  dailytxt-nirvati-ingress:
    target_container: dailytxt
    type: ClusterIp
    ports:
      udp: {}
      tcp:
        8765: 8765
    cluster_ip: null
    network_policy: null
ingress:
- target_service: dailytxt-nirvati-ingress
  target_ns: null
  target_app: null
  path_prefix: null
  target_port: 8765
  type: Https
  enable_compression: false
  strip_prefix: false
  auth_exclude: false
  component: null
plugins: {}
secrets: []
custom_resources: []
app_network_policy:
  ingress:
    allow_world:
      allow: true
      allowed_ports: null
    allow_cluster:
      allow: false
      allowed_ports: null
    allow_same_ns:
      allow: true
      allowed_ports: null
    cidrs: []
    pods:
    - namespace: null
      app: null
      match_labels:
        uses-compat-layer: tipi
      allowed_ports: null
      all_namespaces: true
  egress:
    allow_cluster: false
    allow_same_ns: true
    allow_kube_api: false
    allow_world: true
    allow_local_net: true
    dns:
      allow: true
      allowed_lookup_names: null
      allowed_lookup_pattern: null
    fqdns: []
    cidrs: []
    services: []
    pods:
    - namespace: null
      app: null
      match_labels:
        uses-compat-layer: tipi
      allowed_ports: null
      all_namespaces: true
other: []
